[AI73-6]Find Solutions (Materials)-Get Citation Reference List

post
https://connect.patsnap.com/ai/material/find-solution/citation-reference-list
Try in Sandbox

Get citation reference list of mind map node with pagination support.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
board_id
Required
stringd12fcd63d27028b88a73168d5bca44d5
Board ID
limit
integer<int32>10
Page Size
node_id
Required
stringnode123456
Node ID
page
integer<int32>1
Page Number
task_id
Required
stringd12fcd63d27028b88a73168d5bca44d5
Task ID

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
page
integer<int32>1
Current page number
limit
integer<int32>20
Number of items per page
total
integer<int64>10
Total number of records
records
array[ { "PBD": "2017-03-09", "TITLE": "紫外线稳定和超疏水的木材表面", "CONTENT": "使用二氧化钛或氧化锌纳米棒阵列和疏水性分子对木材进行原位处理", "ORG_INFO": [ { "id": "945956249e10c1831d599c51540e5349", "display_name": "瑞士蘇黎世聯邦理工學院" } ], "SOLUTION_ID": "1070a534-ef1e-443d-8d90-7305e543a6ff", "SOLUTION_TYPE": "PATENT" } ]
List of reference records
has_next
boolean-
Whether there is a next page
has_previous
boolean-
Whether there is a previous page
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "page": 1,
    "limit": 20,
    "total": 10,
    "records": [
      {
        "PBD": "2017-03-09",
        "TITLE": "紫外线稳定和超疏水的木材表面",
        "CONTENT": "使用二氧化钛或氧化锌纳米棒阵列和疏水性分子对木材进行原位处理",
        "ORG_INFO": [
          {
            "id": "945956249e10c1831d599c51540e5349",
            "display_name": "瑞士蘇黎世聯邦理工學院"
          }
        ],
        "SOLUTION_ID": "1070a534-ef1e-443d-8d90-7305e543a6ff",
        "SOLUTION_TYPE": "PATENT"
      }
    ],
    "has_next": false,
    "has_previous": false
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms